      PROGRAM ACTDLINE

      CHARACTER CARD1*72
*
      OPEN ( UNIT=11, FILE = 'hlphlp.f',  STATUS = 'OLD' )
      OPEN ( UNIT=12, FILE = 'hlphlpd.f', STATUS = 'UNKNOWN' )
*
      DO 1000 I = 1, 1000000000
         READ (11,'(A)',END=2000) CARD1
         LQ=LSTNBL(CARD1,72)
         IF ( LQ .GT. 0 .AND. ( CARD1(1:1) .EQ. 'D'
     $       .OR. CARD1(1:1) .EQ. 'd' ) ) THEN
            CARD1(1:1) = ' '
         END IF
         IF ( LQ .GT. 0 ) THEN
            WRITE (12,'(A)') CARD1(1:LQ)
         ELSE
            WRITE (12,*)
         END IF
 1000 CONTINUE
 2000 CONTINUE
      STOP
      END

      INTEGER FUNCTION LSTNBL (CARD,LEN)
      CHARACTER CARD*132
      DO INDX=LEN,1,-1
         IF ( CARD(INDX:INDX) .NE. ' ' ) GO TO 100
      END DO
  100 CONTINUE
      LSTNBL=INDX
      RETURN
      END
